jcapik pushed to kubernetes (f20). "Bump to upstream 78df01172af5cc132b7276afb668d31e91e61c11"

notifications at fedoraproject.org notifications at fedoraproject.org
Wed Jun 10 14:33:02 UTC 2015


From 109846f997531110f5aa213ce6f7f7727b5909b3 Mon Sep 17 00:00:00 2001
From: Eric Paris <eparis at redhat.com>
Date: Thu, 30 Oct 2014 12:04:17 -0400
Subject: Bump to upstream 78df01172af5cc132b7276afb668d31e91e61c11


diff --git a/.gitignore b/.gitignore
index 9d04ab7..03f2f5a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -10,3 +10,4 @@
 /kubernetes-dc7e3d6.tar.gz
 /kubernetes-1c61486.tar.gz
 /kubernetes-8e1d416.tar.gz
+/kubernetes-78df011.tar.gz
diff --git a/add-chglog b/add-chglog
new file mode 100755
index 0000000..513026a
--- /dev/null
+++ b/add-chglog
@@ -0,0 +1,117 @@
+#!/usr/bin/python -t
+# -*- mode: Python; indent-tabs-mode: nil; coding: utf-8 -*-
+#
+# Copyright (c) 2005-2013 Fedora Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+import re
+import subprocess
+import sys
+import textwrap
+import time
+from optparse import OptionParser
+
+
+__version__ = "1.0.12"
+
+class SpecFile:
+    def __init__(self, filename):
+        self.filename = filename
+        f = None
+        try:
+            f = open(filename,"r")
+            self.lines = f.readlines()
+        finally:
+            f and f.close()
+
+    _changelog_pattern = re.compile(r"^%changelog(\s|$)", re.I)
+
+    def addChangelogEntry(self, evr, entry, email):
+        for i in range(len(self.lines)):
+            if SpecFile._changelog_pattern.match(self.lines[i]):
+                if len(evr):
+                    evrstring = ' - %s' % evr
+                else:
+                    evrstring = ''
+                date = time.strftime("%a %b %d %Y", time.gmtime())
+                newchangelogentry = "* %s %s%s\n%s\n\n" % \
+                    (date, email, evrstring, entry)
+                self.lines[i] += newchangelogentry
+                return
+
+    def writeFile(self, filename):
+        f = open(filename, "w")
+        f.writelines(self.lines)
+        f.close()
+
+    def debugdiff(self, old, new):
+        print ('%s\n-%s\n+%s\n' % (self.filename, old, new))
+
+if __name__ == "__main__":
+    usage = '''Usage: %prog [OPTION]... SPECFILE...'''
+
+    userstring = subprocess.Popen("rpmdev-packager 2>/dev/null", shell = True,
+                                  stdout = subprocess.PIPE).communicate()[0]
+    userstring = userstring.strip() or None
+
+    parser = OptionParser(usage=usage)
+    parser.add_option("-c", "--comment", default='- rebuilt',
+                      help="changelog comment (default: \"- rebuilt\")")
+    parser.add_option("-u", "--userstring", default=userstring,
+                      help="user name+email string (default: output from "+
+                      "rpmdev-packager(1))")
+    (opts, args) = parser.parse_args()
+
+    if not args:
+        parser.error('No specfiles specified')
+
+    if not opts.userstring:
+        parser.error('Userstring required, see option -u')
+
+    # Grab bullet, insert one if not found.
+    bullet_re = re.compile(r'^([^\s\w])\s', re.UNICODE)
+    bullet = "-"
+    match = bullet_re.search(opts.comment)
+    if match:
+        bullet = match.group(1)
+    else:
+        opts.comment = bullet + " " + opts.comment
+
+    # Format comment.
+    if opts.comment.find("\n") == -1:
+        wrapopts = { "subsequent_indent": (len(bullet)+1) * " ",
+                     "break_long_words":  False }
+        if sys.version_info[:2] > (2, 5):
+            wrapopts["break_on_hyphens"] = False
+        opts.comment = textwrap.fill(opts.comment, 80, **wrapopts)
+
+    for aspec in args:
+        try:
+            s = SpecFile(aspec)
+        except:
+            # Not actually a parser error, but... meh.
+            parser.error(sys.exc_info()[1])
+
+        # Get EVR for changelog entry.
+        cmd = ("rpm", "-q", "--specfile", "--define", "dist %{nil}",
+               "--qf=%|epoch?{%{epoch}:}:{}|%{version}-%{release}\n", aspec)
+        popen = subprocess.Popen(cmd, stdout = subprocess.PIPE)
+        evr = str(popen.communicate()[0]).split("\n")[0]
+
+        s.addChangelogEntry(evr, opts.comment, opts.userstring)
+        s.writeFile(aspec)
+
+sys.exit(0)
diff --git a/getsource.sh b/getsource.sh
index a14ae6a..17d8b1d 100755
--- a/getsource.sh
+++ b/getsource.sh
@@ -1,17 +1,38 @@
 #!/bin/sh
 
-set -e
+KUBE_GIT_COMMIT="$1"
+KUBE_GIT_VERSION="$2"
+
+set -o errexit
+set -o nounset
+set -o pipefail
 
 SPEC=kubernetes.spec
 
-wget https://github.com/GoogleCloudPlatform/kubernetes/archive/$1/kubernetes-${1:0:7}.tar.gz
+wget https://github.com/GoogleCloudPlatform/kubernetes/archive/${KUBE_GIT_COMMIT}/kubernetes-${KUBE_GIT_COMMIT:0:7}.tar.gz
+
+
+if [[ "${KUBE_GIT_VERSION}" =~ ^v([0-9]+)\.([0-9]+)\-([0-9]+)\-(.*)?$ ]]; then
+  git_major=${BASH_REMATCH[1]}
+  git_minor=${BASH_REMATCH[2]}
+  if [[ -n "${BASH_REMATCH[3]}" ]]; then
+    git_minor+="+"
+    since_tag=${BASH_REMATCH[3]}
+  fi
+fi
 
-#put the git hash in there
-sed -i -e "s/%global commit\t\t[[:xdigit:]]\{40\}/%global commit\t\t$1/" ${SPEC}
+#put the git hash in as the commit
+sed -i -e "s/%global commit\t\t[[:xdigit:]]\{40\}/%global commit\t\t${KUBE_GIT_COMMIT}/" ${SPEC}
+#update the version with the latest tag
+sed -i -e "s/Version:\t[[:digit:]]\+\.[[:digit:]]\++\?/Version:\t${git_major}.${git_minor}/" ${SPEC}
+#update the release with since_tag
+sed -i -e "s/Release:\t[[:digit:]]\+\.[[:digit:]]\+/Release:\t${since_tag}.0/" ${SPEC}
+#update the git Version inside the built binaries
+sed -i -e "s/export KUBE_GIT_VERSION=v.*/export KUBE_GIT_VERSION=${KUBE_GIT_VERSION}/" ${SPEC}
 
 #increment the version number
-rpmdev-bumpspec --comment="Bump to upstream ${1}" --userstring="Eric Paris <eparis at redhat.com" ${SPEC}
+./add-chglog --comment="Bump to upstream ${KUBE_GIT_COMMIT}" --userstring="Eric Paris <eparis at redhat.com" ${SPEC}
 
 fedpkg clog
 
-echo "****Don't forget to run: fedpkg new-sources kubernetes-${1:0:7}.tar.gz"
+echo "****Don't forget to run: fedpkg new-sources kubernetes-${KUBE_GIT_COMMIT:0:7}.tar.gz"
diff --git a/kubernetes.spec b/kubernetes.spec
index 6ea4953..d08179a 100644
--- a/kubernetes.spec
+++ b/kubernetes.spec
@@ -1,7 +1,7 @@
 #debuginfo not supported with Go
 %global debug_package	%{nil}
 %global import_path	github.com/GoogleCloudPlatform/kubernetes
-%global commit		8e1d41670783cb75cf0c5088f199961a7d8e05e5
+%global commit		78df01172af5cc132b7276afb668d31e91e61c11
 %global shortcommit	%(c=%{commit}; echo ${c:0:7})
 
 #binaries which should be called kube-*
@@ -18,7 +18,7 @@
 
 Name:		kubernetes
 Version:	0.4+
-Release:	0.9.git%{shortcommit}%{?dist}
+Release:	397.0.git%{shortcommit}%{?dist}
 Summary:	Container cluster management
 License:	ASL 2.0
 URL:		https://github.com/GoogleCloudPlatform/kubernetes
@@ -84,7 +84,7 @@ BuildRequires:	golang(gopkg.in/v1/yaml)
 %build
 export KUBE_GIT_COMMIT=%{commit}
 export KUBE_GIT_TREE_STATE="dirty"
-export KUBE_GIT_VERSION=v%{version}
+export KUBE_GIT_VERSION=v0.4-397-g78df01172af5cc
 
 export KUBE_EXTRA_GOPATH=%{gopath}
 export KUBE_NO_GODEPS="true"
@@ -193,6 +193,9 @@ getent passwd kube >/dev/null || useradd -r -g kube -d / -s /sbin/nologin \
 %systemd_postun
 
 %changelog
+* Thu Oct 30 2014 Eric Paris <eparis at redhat.com - 0.4+-397.0.git78df011
+- Bump to upstream 78df01172af5cc132b7276afb668d31e91e61c11
+
 * Wed Oct 29 2014 Eric Paris <eparis at redhat.com - 0.4+-0.9.git8e1d416
 - Bump to upstream 8e1d41670783cb75cf0c5088f199961a7d8e05e5
 
diff --git a/sources b/sources
index 5ed9772..95648bc 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-2941ceb0f3e2abdee5f0e1d5973e20e9  kubernetes-8e1d416.tar.gz
+8b946816dda51dab76d293197ce58d2c  kubernetes-78df011.tar.gz
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/kubernetes.git/commit/?h=f20&id=109846f997531110f5aa213ce6f7f7727b5909b3


More information about the scm-commits mailing list